# Form implementation generated from reading ui file 'src/eric7/Plugins/WizardPlugins/SetupWizard/AddProjectUrlDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_AddProjectUrlDialog(object):
    def setupUi(self, AddProjectUrlDialog):
        AddProjectUrlDialog.setObjectName("AddProjectUrlDialog")
        AddProjectUrlDialog.resize(500, 156)
        AddProjectUrlDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(AddProjectUrlDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=AddProjectUrlDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.nameComboBox = QtWidgets.QComboBox(parent=AddProjectUrlDialog)
        self.nameComboBox.setEditable(True)
        self.nameComboBox.setObjectName("nameComboBox")
        self.verticalLayout.addWidget(self.nameComboBox)
        self.label_2 = QtWidgets.QLabel(parent=AddProjectUrlDialog)
        self.label_2.setObjectName("label_2")
        self.verticalLayout.addWidget(self.label_2)
        self.urlEdit = QtWidgets.QLineEdit(parent=AddProjectUrlDialog)
        self.urlEdit.setClearButtonEnabled(True)
        self.urlEdit.setObjectName("urlEdit")
        self.verticalLayout.addWidget(self.urlEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=AddProjectUrlDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(AddProjectUrlDialog)
        self.buttonBox.accepted.connect(AddProjectUrlDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(AddProjectUrlDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(AddProjectUrlDialog)
        AddProjectUrlDialog.setTabOrder(self.nameComboBox, self.urlEdit)

    def retranslateUi(self, AddProjectUrlDialog):
        _translate = QtCore.QCoreApplication.translate
        AddProjectUrlDialog.setWindowTitle(_translate("AddProjectUrlDialog", "Add Project URL"))
        self.label.setText(_translate("AddProjectUrlDialog", "Name:"))
        self.nameComboBox.setToolTip(_translate("AddProjectUrlDialog", "Enter a name for the URL"))
        self.label_2.setText(_translate("AddProjectUrlDialog", "URL:"))
        self.urlEdit.setToolTip(_translate("AddProjectUrlDialog", "Enter the URL"))
